List Dimensions
List demographic dimensions.
Requires agent:read permission (dimensions are global reference data).
GET
/
v1
/
dimensions
/
List Dimensions
curl --request GET \
--url https://api.example.com/v1/dimensions/import requests
url = "https://api.example.com/v1/dimensions/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/dimensions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/dimensions/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"created_at": 123,
"protected_class": true,
"description": "<string>",
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": 123,
"display_name": "<string>",
"value_metadata": {},
"sort_order": 0
}
]
}
],
"count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Filter to only protected class dimensions
Maximum number of results
Required range:
1 <= x <= 250Number of results to skip
Required range:
x >= 0Response
Successful Response
Response model for listing dimensions.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on April 21, 2026
Was this page helpful?
⌘I
List Dimensions
curl --request GET \
--url https://api.example.com/v1/dimensions/import requests
url = "https://api.example.com/v1/dimensions/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/dimensions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/dimensions/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"created_at": 123,
"protected_class": true,
"description": "<string>",
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": 123,
"display_name": "<string>",
"value_metadata": {},
"sort_order": 0
}
]
}
],
"count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}